Menu

## Properties

Properties.php : 9

Provides method and doctrine annotation for a property submodel.

### Table of Contents

$propertyName : mixed
$propertyValue : mixed
getName() : string
  Returns the name of the property.
getValue() : mixed
  Returns the stored property.
setName() : mixed
  Sets the name of the property.
setValue() : mixed
  Sets the stored property.

### Properties

#### $propertyName

Properties.php : 12
`private mixed $propertyName = ""`

##### Tags

Id

  @Column(type="string", length=255)

#### $propertyValue

Properties.php : 14
`private mixed $propertyValue = null`

##### Tags

Column

  (type="text")

### Methods

#### getName()

Properties.php : 20

Returns the name of the property.

`public getName() : string`

##### Return values

string —

#### getValue()

Properties.php : 43

Returns the stored property.

`public getValue() : mixed`

##### Return values

mixed —

#### setName()

Properties.php : 30

Sets the name of the property.

`public setName(string $name) : mixed`

##### Parameters

$name : string

##### Tags

throws
  ArgumentEmptyException

  If parameter $name is empty

##### Return values

mixed —

#### setValue()

Properties.php : 52

Sets the stored property.

`public setValue(mixed $value) : mixed`

##### Parameters

$value : mixed

##### Return values

mixed —

## Search results